DrawTableParserInternal::State Struct Reference

Internal: the state of a DrawTableParser. More...

## Public Member Functions
| State ()
| constructor
MWAWColor | getColor (int id) const
| try to return a color
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat) const
| try to init a patterns
void | initPatterns ()
| init the patterns list

## Public Attributes
int | m_openedGroup
| the number of opened groups
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list
MWAWVec2f | m_maxDim
| the max dimensions

## Detailed Description

Internal: the state of a DrawTableParser.

## Constructor & Destructor Documentation

## ◆ State()

DrawTableParserInternal::State::State | ( |  | ) |
| inline

constructor

Referenced by getPattern().

## Member Function Documentation

## ◆ getColor()

MWAWColor DrawTableParserInternal::State::getColor | ( | int | id | ) | const

try to return a color

## ◆ getPattern()

bool DrawTableParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat ) const

try to init a patterns

## ◆ initPatterns()

void DrawTableParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

Referenced by getPattern().

## Member Data Documentation

## ◆ m_maxDim

MWAWVec2f DrawTableParserInternal::State::m_maxDim

the max dimensions

Referenced by State().

## ◆ m_openedGroup

int DrawTableParserInternal::State::m_openedGroup

the number of opened groups

Referenced by State().

## ◆ m_patternList

std::vector<MWAWGraphicStyle::Pattern> DrawTableParserInternal::State::m_patternList

the patterns list

Referenced by getPattern(), initPatterns(), and State().

The documentation for this struct was generated from the following file:

- DrawTableParser.cxx